Page MenuHomeFreeBSD

Add a devel/kore slave with TLS support disabled
ClosedPublic

Authored by tobik on Apr 6 2017, 7:22 AM.

Details

Summary
Add a devel/kore slave with TLS support disabled

TLS=on changes Kore's behavior and it is not currently possible to
disable TLS at runtime.  This will allow deploying TLS-enabled and
non-TLS apps on the same host.

- While here remove an old FreeBSD 9 patch

Approved by:	??? (mentor)
Differential Revision:	https://reviews.freebsd.org/D?????
Test Plan

poudriere testport 11.0/amd64 ok
poudriere testport 10.3/i386 ok

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

tobik created this revision.Apr 6 2017, 7:22 AM
mat added inline comments.Apr 6 2017, 4:56 PM
devel/kore-notls/Makefile
5 ↗(On Diff #27132)

would probably be better to set EXAMPLESDIR to a unique name instead of disabling them

tobik updated this revision to Diff 27154.Apr 6 2017, 8:30 PM

Set EXAMPLESDIR and do not disable EXAMPLES in the slave

tobik added a comment.Apr 12 2017, 8:38 AM

Ok to commit?

tobik edited the summary of this revision. (Show Details)May 2 2017, 2:33 PM
mat accepted this revision.May 2 2017, 3:25 PM
This revision is now accepted and ready to land.May 2 2017, 3:25 PM
This revision was automatically updated to reflect the committed changes.